


#ifndef XGAMEWORLD_H
#define XGAMEWORLD_H

#include "xasset.h"
#include "gameworld.h"
#include "xgameworldmp.h"
#include "xgameworldsp.h"

class XGameWorld : public XAsset
{
public:
    explicit XGameWorld();

    void ParseData(QDataStream *aStream) override;

private:
    XGameWorldSp sp;
    XGameWorldMp mp;
};

#endif // XGAMEWORLD_H

